Skip to main content

Retrieve the loyalty points, ledger and redemptions for a customer

GET 

/customer/customers/:customer_profile_oid/loyalty

Retrieve the loyalty points, ledger and redemptions for a customer. This is a convenience method that returns the same information as expanding loyalty on the customer object, without having to retrieve the entire customer.

Reading loyalty points, ledger and redemptions for many customers?

Your UltraCart data warehouse has the loyalty points, ledger and redemptions for every customer in the loyalty field of uc_customers. To read it across many customers, query that with the BigQuery SDK (JavaScript) instead of calling this once per customer.

Request​

Responses​

Successful response

Was this page helpful?